%%%===================================================%%%
%%%                This is actas.cls                  %%%
%%%           For ACTA ASTRONOMICA SINICA             %%%
%%%          Copyright by http://www.latexstudio.net  %%%
%%%  若有排版需要可以访问：http://www.latexstudio.net   %%%
%%%===================================================%%%
%%%  revised by LaTeXStudio on jone. 25, 2019

%% This class is based on the class "ctexart" with options a4paper, oneside and 12pt.
%% The draft mode is defined, in which the package refcheck will take effect.
%% No more options are allowed.

\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{actas}
\LoadClass[twoside,c5size,openany,UTF8]{ctexbook}
\RequirePackage{graphicx}
\RequirePackage{amsmath,amsthm,amsfonts,multirow,diagbox}
\RequirePackage{amssymb,booktabs,threeparttable,longtable,lscape,cite}
\RequirePackage{threeparttable,rotating}
\RequirePackage[labelsep=quad,justification=centering,font=footnotesize]{caption}%
\captionsetup[figure]{name=Fig.}
\captionsetup[table]{name=Table}
\RequirePackage[numbers,sort&compress]{natbib}
\RequirePackage{etoolbox}
\RequirePackage{xcolor}


\headsep=0.6cm %%%%%%%
\textwidth=140mm
\textheight=210mm
\topmargin=0pt
\oddsidemargin=0pt
\evensidemargin=0pt
\footskip 1.2 truecm
\doublerulesep=0pt

\parindent=7.5mm


\setlength{\parskip}{0 true pt}
    \def\hang{\hangindent\parindent}
    \def\RE{\par\noindent}


%------------abstract------------
\renewcommand{\maketitle}{\par
 \begingroup
  \def\thefootnote{}%  the \thanks{} mark type is empty
   \if@twocolumn
     \thispagestyle{actasheadings}%ssl
     \twocolumn[\@makeentitle]%
   \else
     \thispagestyle{actasheadings}%ssl
     \@makeentitle%
   \fi%
 \endgroup%
 \setcounter{footnote}{0}%
 \global\let\thanks\relax%
 \global\let\maketitle\relax%
 \global\let\@maketitle\relax%
 \global\let\@thanks\@empty%
 \global\let\@author\@empty%
 \global\let\@title\@empty%
 \global\let\title\relax%
 \global\let\author\relax%
 \global\let\and\relax%
%
 % \global\let\act@cntitle\relax%
 % \global\let\act@cnauthor\relax%
 % \global\let\act@cnaddress\relax%
 % \global\let\act@cnabstract\relax%
 % \global\let\act@cnkeyword\relax%
 \global\let\act@doi\relax%
 \global\let\email\relax%
 \global\let\doi\relax%
}
%

\newcommand{\cntitle}[1]{\gdef\act@cntitle{{\Large\heiti\bf\zihao{2} #1}}}

%\newcommand{\cnauthor}[1]{\gdef\act@cnauthor{#1}}
\gdef\@cnauthor{}
\newcommand*\cnauthor[2]{%
  \ifx \@author\@empty%
    \gdef\@cnauthor{\@cnauthorformat{#1}{#2}}
  \else
    \expandafter\gdef\expandafter\@cnauthor\expandafter
      {\@cnauthor\@cnauthorformat{#1}{#2}}
  \fi}
\def\@cnauthorformat#1#2{
  \begin{center}
    \cnauthorformat #1\par
	\vskip 0.2\baselineskip%
    \cnaddressformat #2%
  \end{center}}
\newcommand*{\cnaddress}[1]{\gdef\caddress{#1}}
\def\cnauthorformat{\normalsize\fangsong\zihao{4}}
\def\cnaddressformat{\fangsong\small}

\newcommand*\Volume[5]{%
  \def\actas@year{#1}%
  \def\cnactas@monht{#2}%
  \def\actas@month{#3}%
  \def\actas@volume{#4}%
  \def\actas@number{#5}}
\newcommand*\papernum[1]{\def\actas@papernum{#1}}

\def\titlefootnote#1{
	\begingroup
        \long\def\@makefntext##1{\noindent ##1}%
        \footnotetext{#1}%
    \endgroup}

\def\@maketitle{%
    \null\vskip-.5em\twdoi\par%
    \let\footnote\titlefootnote%
    \vskip 1.7\baselineskip%
    {\centering%
    {\act@cntitle\par}%
    {%\vskip 0.8em%
    \vskip 0.8\baselineskip%
    \@cnauthor%
     }%
     \vskip 0.2\baselineskip%
    {\begin{quote}\linespread{1.2}\selectfont
	\cabstract\par%
    \ckeyword\newline%
	\actclc \quad \wenxian\par%
	\end{quote}%
    }%
   }
}

\newcommand*{\entitle}[1]{\gdef\act@entitle{{\sloppy\Large\bf #1}}}
\newcommand*{\enaddress}[1]{\gdef\act@enaddress{{\noindent\footnotesize\it #1}}}
\newcommand*{\enabstract}[1]{\gdef\act@enabstract{{\noindent{\bf A{\scriptsize\bf BSTRACT}}~~~ #1}}}
\newcommand*{\enkeyword}[1]{\gdef\act@enkeyword{{\noindent{\bf Key words}~~ #1}}}
\gdef\ensub{\noindent{\bf MR(2000) Subject Classification:} }

\def\enauthorformat{\normalsize}
\def\enaddressformat{\footnotesize\it}


\gdef\@enauthor{}
\newcommand*\enauthor[2]{%
  \ifx \@enauthor\@empty%
    \gdef\@enauthor{\@enauthorformat{#1}{#2}}
  \else
    \expandafter\gdef\expandafter\@enauthor\expandafter
      {\@enauthor\@enauthorformat{#1}{#2}}
  \fi}
\def\@enauthorformat#1#2{
  \begin{center}
    \enauthorformat #1\par
	\vskip 0.2\baselineskip%
    \enaddressformat #2%
  \end{center}}


% \def\makeentitle{%
%     \begingroup%
% 	\null% an empty hbox
%     \vskip 0.7\baselineskip%
%     {\centering%
%     \linespread{1.5}\selectfont%
% 	{\act@entitle\par}%
%     {\linespread{1.0}\selectfont%
%     \vskip \baselineskip%
%     \@enauthor\par%
%     }%
%     \vskip 0.2\baselineskip%
% 	}%
%     {\linespread{1.0}\selectfont\act@enabstract\par%
%     \vskip 0.6\baselineskip%
%     \act@enkeyword\par%
%     }%
% 	\endgroup
% }%
\def\@makeentitle{%
\null\vskip-.5em\twdoi\par
    \begingroup%
  \null% an empty hbox
    \vskip 0.7\baselineskip%
    {\centering%
    \linespread{1.5}\selectfont%
	{\act@entitle\par}%
    {\linespread{1.0}\selectfont%
    \vskip \baselineskip%
    \@enauthor\par%
    }%
    \vskip 0.1\baselineskip%
	}%
    \begin{quote}{\act@enabstract\par%
    \act@enkeyword\par%
    }%
    {\linespread{1.1}\selectfont
	\actclc \quad \wenxian\par%
	%
    }%
    \end{quote}\endgroup
}%
%----------图表双标题------------
\long\def\@makefigcaption#1#2{%
  \zihao{6}\vskip2pt%
  \sbox\@tempboxa{{#1} #2}%
  \ifdim \wd\@tempboxa >\hsize%
   {#1#2}\par%
  \else
    \global\@minipagefalse
    \hb@xt@\hsize{\hfil\box\@tempboxa\hfil}%
  \fi
  \vskip-3pt}

\newbox\@tempboxb
\long\def\@maketabcaption#1#2{%
  \zihao{-5}\vskip2pt%
  \sbox\@tempboxb{{#1} #2}%
  \ifdim \wd\@tempboxb >\hsize%
   {#1#2}\par%
  \else
    \global\@minipagefalse
    \hb@xt@\hsize{\hfil\box\@tempboxb\hfil}%
  \fi
  }
\newcounter{fignum}
\def\figcaption#1#2{
\refstepcounter{fignum}%
\@makefigcaption{\figurename~\arabic{fignum}~~~}{#1}\vskip.5\baselineskip%%
\@makefigcaption{\rm Fig.\,\arabic{fignum}~~~}{#2}%
}
\newcounter{tabnum}
\def\tabcaption#1#2{
\refstepcounter{tabnum}%
\@maketabcaption{\heiti\zihao{-5} \tablename~\arabic{tabnum}~~}{\heiti\zihao{-5}#1}\vskip-5pt%%
\@maketabcaption{\zihao{-5} \bfseries Table~\arabic{tabnum}~~}{\bfseries\zihao{-5} #2}%
}
 \def\hlinew#1{%
  \noalign{\ifnum0=`}\fi\hrule \@height #1 \futurelet
   \reserved@a\@xhline}

%%---------------- Redefine section -----------------%%
\setcounter{secnumdepth}{3}

\renewcommand\thesection {\@arabic\c@section}
\renewcommand\thesubsection   {\thesection.\@arabic\c@subsection}
\renewcommand\thesubsubsection{\thesubsection .\@arabic\c@subsubsection}

\renewcommand\section{\@startsection {section}{1}{\z@}%
                                   {1.5ex}%
                                   {1.0ex}%
                                   {\bf\zihao{4}}}
\renewcommand\subsection{\@startsection{subsection}{2}{\z@}%
                                     {1.5ex}%
                                     {0.5ex}%
                                     {\bf\zihao{5}}}
\renewcommand\subsubsection{\@startsection{subsubsection}{3}{\z@}%
                                     {0.5ex \@plus -.2ex \@minus -.2ex}%
                                     {0.1ex \@plus .2ex}%
                                     {\normalsize}}

\renewcommand{\baselinestretch}{1.2}
\renewcommand{\arraystretch}{1.2}

\renewenvironment{proof}[1][\proofname]{\par
  \pushQED{\qed}%
  \normalfont \topsep6\p@\@plus6\p@\relax
  \trivlist
  \item[\hskip\labelsep
    #1]\ignorespaces
}{%
  \popQED\endtrivlist\@endpefalse
}
\providecommand{\proofname}{Proof}


%%-------- Set the begin and end method for class -----%%
\AtBeginDocument{%
   \pagestyle{headings}%
   \renewcommand{\baselinestretch}{1.3}%
   \input{enactas.cfg}%
   }

\def\ps@headings{%
 \def\@evenhead{\vbox{\hbox to \textwidth{\small\rm\zihao{-5} \actas@volume~卷 \hfill  \journal \hfill \actas@number~期}
                \vskip 1.35mm%
               \hrule width\textwidth height0.63pt\vskip0.85pt}}
 \def\@oddhead{\vbox{\hbox to \textwidth{\small\rm\zihao{-5}~\songti  \actas@volume~卷\hfill\runhead \hfill \actas@number~期}
	              \vskip 1.35mm%
                  \hrule width\textwidth height0.63pt\vskip0.85pt}}
\def\@oddfoot{\hfil\rm\zihao{-5}\songti\actas@papernum-\thepage\hfil}%
\let\@evenfoot\@oddfoot%
}


%%------------------the biblogr
\newdimen\bibindent
\setlength\bibindent{1.5em}
\renewcommand\bibname{Reference}
\renewenvironment{thebibliography}[1]
     {\bigskip\bigskip\centerline{\normalsize\bfseries\zihao{5} \bibname}%
      \@mkboth{\MakeUppercase\bibname}{\MakeUppercase\bibname}%
      \footnotesize%
	  \list{\@biblabel{\@arabic\c@enumiv}}%
           {\settowidth\labelwidth{\@biblabel{#1}}%
            \leftmargin\labelwidth
            \advance\leftmargin\labelsep
			\addtolength{\itemsep}{-0.4em}
            \@openbib@code
            \usecounter{enumiv}%
            \let\p@enumiv\@empty
            \renewcommand\theenumiv{\@arabic\c@enumiv}}%
      \sloppy
      \clubpenalty4000
      \@clubpenalty \clubpenalty
      \widowpenalty4000%
      \sfcode`\.\@m}
     {\def\@noitemerr
       {\@latex@warning{Empty `thebibliography' environment}}%
      \endlist}



%%---------keep  old  command for previous users ----------
\def\ke#1#2{\hbox to2cm{#1\hss}\parbox[t]{10.7cm}{#2}}
\def\SEC#1{\section*{\leftline{\large\bf\zihao{-4}\heiti #1}}}
\def\REF#1{\par\hangindent\parindent\indent\llap{#1\enspace}\ignorespaces}
\def\thefootnote{}%
\newcommand{\no}{\noindent}
\newcommand{\dg}{\mbox{$^\circ$\,}}
\newcommand{\vs}{\vspace{2.5mm}}
\newcommand{\vn}{\vs\no}
\newcommand{\hs}{\hspace{2.5mm}}
%\newcommand{\para}[1]{\vs\bc{\Large\zihao{4}#1}\ec}
\newcommand{\para}[1]{\vs\vn{\heiti\Large\zihao{4}#1}}
\newcommand{\ks}{\vs\vs\normalsize\zihao{5}}
\newcommand{\p}{\partial}
\newcommand{\be}{\begin{equation}}
\newcommand{\ee}{\end{equation}}
\newcommand{\bc}{\begin{center}}
\newcommand{\ec}{\end{center}}
%\newcommand{\be*}{\begin{eqnarray*}}
%\newcommand{\ee*}{\end{eqnarray*}}
\newcommand{\rf}[1]{{$^{[#1]}$}}
\newcommand{\rr}[1]{{$\!^{[#1]}$\,}}
\newcommand{\sun}{\mbox{$_\odot$}}
\newcommand{\ti}[1]{\mbox{$\times 10^{#1}$}}
\newcommand{\fns}{\footnotesize\ }
\newcommand{\nor}{\normalsize\ }
\newcommand{\mult}{\multicolumn}
\newcommand{\rmd}{{\rm d}}
\newcommand{\alfv}{Alfv\'{e}n}
\newcommand{\haa}{{\rm H}_{\alpha}}
\newcommand{\hbb}{{\rm H}_{\beta}}
%\newcommand{\ha}{H$_{\alpha}\,$}
%\newcommand{\hb}{H$_{\beta}\,$}
%\newcommand{\hg}{H$_{\gamma\,}$}
%\newcommand{\hd}{H\dn{\dlt}}
\newcommand{\dn}[1]{\mbox{$_{#1}$}}
\newcommand{\x}{$\times$}
\newcommand{\g}{\mbox{g}}
\newcommand{\cm}{\mbox{cm}}
\newcommand{\gcm}{\mbox{g\,cm\up{-3}}}
\newcommand{\ksm}{\mbox{km\,s\up{-1}\,Mpc}}
\newcommand{\mum}{\mbox{$\mu$m}\,}
\newcommand{\alf}{\mbox{$\alpha$}}
\newcommand{\bet}{\mbox{$\beta$}}
\newcommand{\gam}{\mbox{$\gamma$~}}
\newcommand{\dlt}{\mbox{$\delta$~}}
\newcommand{\eps}{\mbox{$\epsilon$}}
\newcommand{\vareps}{\mbox{$\varepsilon$}}
\newcommand{\lam}{\mbox{$\lambda$}}
\newcommand{\sgm}{\mbox{$\sigma$}}
\newcommand{\veps}{\mbox{$\varepsilon$}}
\newcommand{\vphi}{\mbox{$\varphi$}}
\newcommand{\lambar}{\mbox{$-\!\!\!\!\lambda$}}
\newcommand{\up}[1]{\mbox{$^{#1}$}}
\newcommand{\uph}{$^{\rm h}$}
\newcommand{\upm}{$^{\rm m}$}
\newcommand{\ups}{$^{\rm s}$}
\newcommand{\hms}[3]{\mbox{#1\uph #2\upm #3\ups}}
\newcommand{\dms}[3]{\mbox{#1\dg #2$'$ #3$''$}}
\newcommand{\bm}[1]{\mbox{\boldmath $#1$}}
\newcommand{\cas}{Chinese Academy of Sciences}
\newcommand{\bao}{{\footnotesize{\it Beijing Astronomical Observatory, Chinese Academy of Sciences, Beijing}~ 100012\/}}
\newcommand{\pmo}{{\footnotesize{\it Purple Mountain Observatory, Chinese Academy of Sciences, Nanjing}~ 210008\/}}
\newcommand{\sho}{{\footnotesize{\it Shanghai Astronomical Observatory, Chinese Academy of Sciences, Shanghai}~ 200030\/}}
\newcommand{\yuo}{{\footnotesize{\it Yunnan Observatory, Chinese Academy of Sciences, Kunming}~ 650011\/}}
\newcommand{\ust}{{\footnotesize{\it Centre for Astrophysics, University of Science and Technology of China, Hefei}~ 230026\/}} \newcommand{\nua}{{\footnotesize{\it Department of Astronomy, Nanjing University, Nanjing~} 210093\/}}
\newcommand{\nnup}{{\footnotesize{\it Department of Physics, Nanjing Normal University, Nanjing}~ 210097\/}}
\newcommand{\jtap}{{\footnotesize{\it Department of Applied Physics, Shanghai Jiaotong University, Shanghai}~ 200030}\\}
\newcommand{\pka}{{\footnotesize{\it Department of Astronomy, Peking University, Beijing}~ 100871\/}}
\newcommand{\geo}{{\footnotesize{\it Department of Geophysics, Peking University, Beijing}~ 100871\/}}
\newcommand{\bac}{{\footnotesize{\it Chinese Academy of Sciences-Peking University Joint Beijing Astrophysics Center, Beijing}~ 100871\/}} \newcommand{\phy}{\footnotesize{\it Department of Physics, Peking University}}
\newcommand{\hep}{{\footnotesize{\it Institute of High Energy Physics, Chinese Academy of Sciences, Beijing}~ 100039\/}}
\newcommand{\itp}{{\footnotesize{\it Institute of Theoretical Physics, Chinese Academy of Sciences, Beijing}~ 100080}}
\newcommand{\bnua}{{\footnotesize{\it Department of Astronomy, Beijing Normal University, Beijing}~ 100875\/}}
\newcommand{\bnup}{{\footnotesize{\it Department of Physics, Beijing Normal University, Beijing}~ 100875\/}}
\newcommand{\sxo}{{\footnotesize{\it Shaanxi Observatory, Chinese Academy of Sciences, Lintong}~ 710600\/}}
\newcommand{\jlo}{{\footnotesize{\it Joint Laboratory for Optical Astronomy, Chinese Academy of Sciences, Shanghai}~ 200030\/}} \newcommand{\css}{{\footnotesize{\it Center for Space Science and Applied Research, Beijing}~ 100080\/}}
\newcommand{\nao}{{\footnotesize{\it National Astronomical Observatories, \cas, Beijing}~ 100012\/}}


\patchcmd{\NAT@citexnum}
  {%
    \ifx\NAT@last@yr\relax
      \def@NAT@last@yr{\@citea}%
    \else
      \def@NAT@last@yr{--\NAT@penalty}%
    \fi
  }
  {%
    \def@NAT@last@yr{--\NAT@penalty}%
  }
  {}{\FAIL}

\newcommand{\upcite}[1]{$^{\mbox{\scriptsize \cite{#1}}}$}

\newcommand{\cnabstract}[1]{\gdef\act@cnabstract{\noindent{{\zihao{-4}\heiti 摘要}~~~  \zihao{-5}#1}}}
\newcommand{\cnkeyword}[1]{\gdef\act@cnkeyword{\noindent{\zihao{-5}{\heiti 关键词~~} \heiti #1}}}

% \newcommand*{\cnabstract}[1]{\gdef\cabstract{\noindent{{\zihao{-4}\heiti 摘要}~~~  \zihao{-5}#1}}}
% \newcommand*{\cnkeyword}[1]{\gdef\ckeyword{\noindent{\zihao{-5}{\heiti 关键词~~} \heiti #1}}}

\def\makecntitle{%
    \begingroup%
  \null% an empty hbox
    \vskip 0.7\baselineskip%
    {\centering%
    \linespread{1.5}\selectfont%
  {\act@cntitle\par}%
    {\linespread{1.0}\selectfont%
    \vskip \baselineskip%
    \@cnauthor\par%
    }%
    \vskip 0.2\baselineskip%
  }%
    {\linespread{1.0}\selectfont\act@cnabstract\par%
    \vskip 0.6\baselineskip%
    \act@cnkeyword\par%
    }%
  \endgroup
}%



%\def\@enddocumenthook{\makeentitle\CTEX@endCJK\CTEX@enddocumenthook}

%\AtEndDocument{\makeentitle\clearpage}

%% End of file `actas.cls'.  %long2014-7-16
